Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#68129 - [pulseaudio] 13.99++ should depend optionally on gst-plugins-base-libs if possible

Attached to Project: Arch Linux
Opened by Josef Mutzenbacher (Joe2020) - Wednesday, 07 October 2020, 01:19 GMT
Last edited by Jan Alexander Steffens (heftig) - Thursday, 08 October 2020, 00:23 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Jan Alexander Steffens (heftig)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

The new pulseaudio release pulls in a new dependency, namely [gst-plugins-base-libs], which itself depends on [mesa], which depends on [wayland] and various other stuff.

Most of these packages are installed on most desktop computers anyways, however it is unfavorable to have a soundserver having dependencies on GUI stuff.

It would be better if this dependency would be optional.


This task depends upon

Closed by  Jan Alexander Steffens (heftig)
Thursday, 08 October 2020, 00:23 GMT
Reason for closing:  Fixed
Additional comments about closing:  13.99.2+7+g6101798c7-2

Loading...